{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}

{% block extra_style_block %}
    {{block.super}}

    <style>
        .form-gap {
            padding-top: 70px;
        }
    </style>
{% endblock %}

{% block content %}
    <form method="POST">
        {% csrf_token %}
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-md-offset-1">
                    <div class="panel panel-default" style="border: 0px solid transparent;">
                        <div class="panel-body">
                            {% if msgobj %}

                                {% if objdata %}
                                    <h2 class="text-center">Please Check Your Registered E-mail!!!</h2>
                                {% else %}
                                    <div class="text-center">
                                        <h3><i class="fa fa-lock fa-4x"></i></h3>
                                        <h2 class="text-center">Reset Password?</h2>
                                        <p>To reset your password, enter the email address you use to sign in Owims.</p>
                                        <div class="panel-body">
                                            <form id="register-form" role="form" autocomplete="off" class="form" method="post">
                                                <div class="form-group">
                                                    <div class="input-group">
                                                        <span class="input-group-addon">
                                                            <i class="glyphicon glyphicon-envelope color-blue"></i>
                                                        </span>
                                                        <input id="email" name="email" placeholder="email address"
                                                               class="form-control"  type="email">
                                                    </div>
                                                    <label id="emailstar" style="color: red;float: right;display:none">*</label>
                                                </div>
                                                <div class="form-group">
                                                    <input name="recoversubmit" onclick="return bttnchange();"
                                                           class="btn btn-lg btn-primary btn-block"
                                                           value="Reset Password" type="submit">
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                {% endif %}
                            {% else %}
                                <h2 class="text-center">Change Password?</h2><br>
                                <div class="form-group">
                                    <div class="input-group">
                                        <span class="input-group-addon">
                                            <i class="glyphicon glyphicon-lock color-blue"></i>
                                        </span>
                                        <input id="pass" name="pass" placeholder="Password"
                                               class="form-control"  type="password">
                                    </div><label id="passstar" style="color: red;float: right;display:none">*</label><br>
                                    <div class="input-group">
                                        <span class="input-group-addon">
                                            <i class="glyphicon glyphicon-lock color-blue"></i>
                                        </span>
                                        <input id="repass" name="repass" placeholder="Confirm Password"
                                               class="form-control"  type="password">
                                    </div>
                                    <label id="repassstar" style="color: red;float: right;display:none">*</label>
                                </div>
                                <span id="passmsg" style="margin-left: 35%;display: none;">
                                    Password Does not Match!!!
                                </span>
                                <div class="form-group">
                                    <input name="changepassword" onclick="return change();"
                                           class="btn btn-lg btn-primary btn-block"
                                           value="Change Password" type="submit">
                                </div>
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script>
        function change(){
            var error=false;
            var pass=$('#pass').val();
            var repass=$('#repass').val();
            if ((pass!='' && pass!=undefined)&& (repass!='' && repass!=undefined)){
                if (pass==repass){
                    error=true
                }
                else{
                    $('#passmsg').css('display','block');
                    error=false
                }
            }
            else{
                if (pass!='' && pass!=undefined){
                error=true
                }
                else{
                    $('#pass').css('border-color','red');
                    $('#passstar').css('display','block');
                    error=false
                }
                if(repass!='' && repass!=undefined){
                    error=true
                }
                else{
                    $('#repass').css('border-color','red');
                    $('#repassstar').css('display','block');
                    error=false
                }
            }

            if (pass!='' && repass!='' && pass==repass){
                return error
            }
            else{
                return error
            }
        }

        function bttnchange(){
            var error=false
            var email=$('#email').val();
            if (email!='' && email!=undefined){
                error=true
            }
            else{
                $('#emailstar').css('display','block');
                $('#email').css('border-color','red');
                error=false
            }
            return error
        }
    </script>
{% endblock %}



